//!The RAq Approach: main.cpp
/*!
Generates the distance matrix necessary for the creation of tree.
Currently, "uncorrected distances" and the "score-based distances"
options are the only ones that work. As a caveat, be warned that these
two distance methods will produce different trees.
*/
//(c) 2006 Suzanne Matthews
/*
This file is part of the RaqApproach software package.

    RaqApproach is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    RaqApproach is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with RaqApproach; if not, write to the Free Software
    Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
*/

#include "matrix.h"
#include "cluster.h"
#include "common.h"

using namespace std;

int main() {

  //! sets gap penalty for distance matrix
  //! distance matrix
  /*Our distance matrix is represented as an associative array with distances and the associated taxa*/
  multimap<double, string> new_matrix;
  for ( int i = 4; i < 5; ++i) {
  new_matrix = create_matrix(i, gap_penalty);//!< Call to create_matrix(); recommended that either 1 or 4 be used for i
  cout << "using: ";
  switch ( i ) {
  case 1: cout << "uncorrected distances: " << endl;
    break;
  case 2: cout << "jukes cantor distances: " << endl;
    break;
  case 3: cout << "kimura distances: " << endl;
    break;
  case 4: cout << "score-based distances: " << endl;
    break;
  default: cout << "invalid numbering scheme." << endl;
  }

  int tree_value = create_tree(new_matrix); //!< Call to create_tree(). Returns 0 if it is successful.
  }

  return 0;
}
